PostgreSQL Bugs

Collected from the PG bugs email list.

Bug ID15424
PG Version9.6.3
OSRHAT 7.3
Opened2018-10-08 12:53:22+00
Reported byramakrishnan r
StatusNew

Body of first available message related to this bug follows.

The following bug has been logged on the website:

Bug reference:      15424
Logged by:          ramakrishnan r
Email address:      (redacted)
PostgreSQL version: 9.6.3
Operating system:   RHAT 7.3
Description:        

Hi Postgres Team,

We are facing incompatible issues with ECPG and PQ library files while
compiling the code. Currently, we are building the 32-bit application on the
64-bit Linux machine. 

Error:

/usr/bin/ld: skipping incompatible /opt/PostgreSQL/9.6/lib/libecpg.so when
searching for -lecpg
/usr/bin/ld: skipping incompatible /opt/PostgreSQL/9.6/lib/libecpg.a when
searching for -lecpg
/usr/bin/ld: cannot find -lecpg
/usr/bin/ld: skipping incompatible /opt/PostgreSQL/9.6/lib/libpq.so when
searching for -lpq
/usr/bin/ld: skipping incompatible /opt/PostgreSQL/9.6/lib/libpq.a when
searching for -lpq
/usr/bin/ld: cannot find -lpq

Linux Configuration:

Linux lhrrheteld002 3.10.0-693.11.1.el7.x86_64 #1 SMP Fri Oct 27 05:39:05
EDT 2017 x86_64 x86_64 x86_64 GNU/Linux

Postgres version on lhrrheteld002:

psql.bin (9.6.3)

Messages

DateAuthorSubject
2018-10-08 12:53:22+00=?utf-8?q?PG_Bug_reporting_form?=BUG #15424: usr/bin/ld: skipping incompatible /opt/PostgreSQL/9.6/lib/libecpg.so when searching for -lecpg